# Uses of Class
org.eclipse.ui.views.framelist.TreeFrame

Packages that use TreeFrame
Package
Description
org.eclipse.ui.views.framelist
Provides support for a web-browser style of navigation within a view by maintaining a list of frames.
org.eclipse.ui.views.navigator
Provides the standard Resource Navigator view which presents the tree of resources in the workspace.

## Uses of TreeFrame in org.eclipse.ui.views.framelist

Methods in org.eclipse.ui.views.framelist that return TreeFrame
Modifier and Type
Method
Description
`protected TreeFrame`
TreeViewerFrameSource.`createFrame(Object input)`
Returns a new tree frame capturing the specified input element.
Methods in org.eclipse.ui.views.framelist with parameters of type TreeFrame
Modifier and Type
Method
Description
`protected void`
TreeViewerFrameSource.`frameChanged(TreeFrame frame)`
Updates the viewer in response to the current frame changing.

## Uses of TreeFrame in org.eclipse.ui.views.navigator

Methods in org.eclipse.ui.views.navigator that return TreeFrame
Modifier and Type
Method
Description
`protected TreeFrame`
NavigatorFrameSource.`createFrame(Object input)`
Deprecated, for removal: This API element is subject to removal in a future version.
Returns a new frame.
Methods in org.eclipse.ui.views.navigator with parameters of type TreeFrame
Modifier and Type
Method
Description
`protected void`
NavigatorFrameSource.`frameChanged(TreeFrame frame)`
Deprecated, for removal: This API element is subject to removal in a future version.
Also updates the navigator's title.